public static interface MsvEndpointBuilderFactory.MsvBuilders
| Modifier and Type | Method and Description |
|---|---|
default MsvEndpointBuilderFactory.MsvEndpointBuilder |
msv(String path)
MSV (camel-msv)
Validate XML payloads using Multi-Schema Validator (MSV).
|
default MsvEndpointBuilderFactory.MsvEndpointBuilder |
msv(String componentName,
String path)
MSV (camel-msv)
Validate XML payloads using Multi-Schema Validator (MSV).
|
default MsvEndpointBuilderFactory.MsvEndpointBuilder msv(String path)
msv:resourceUri
Path parameter: resourceUri (required)
URL to a local resource on the classpath, or a reference to lookup a
bean in the Registry, or a full URL to a remote resource or resource
on the file system which contains the XSD to validate against.path - resourceUridefault MsvEndpointBuilderFactory.MsvEndpointBuilder msv(String componentName, String path)
msv:resourceUri
Path parameter: resourceUri (required)
URL to a local resource on the classpath, or a reference to lookup a
bean in the Registry, or a full URL to a remote resource or resource
on the file system which contains the XSD to validate against.componentName - to use a custom component name for the endpoint
instead of the default namepath - resourceUriApache Camel